App\Library\Amazon\Classes\Watch:
    xml_root_name: Watch
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Watch\VariationDataAType
        bandColor:
            expose: true
            access_type: public_method
            serialized_name: BandColor
            accessor:
                getter: getBandColor
                setter: setBandColor
            type: string
        bandMaterial:
            expose: true
            access_type: public_method
            serialized_name: BandMaterial
            accessor:
                getter: getBandMaterial
                setter: setBandMaterial
            type: string
        bandLength:
            expose: true
            access_type: public_method
            serialized_name: BandLength
            accessor:
                getter: getBandLength
                setter: setBandLength
            type: string
        bandWidth:
            expose: true
            access_type: public_method
            serialized_name: BandWidth
            accessor:
                getter: getBandWidth
                setter: setBandWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        collectionName:
            expose: true
            access_type: public_method
            serialized_name: CollectionName
            accessor:
                getter: getCollectionName
                setter: setCollectionName
            type: string
        claspType:
            expose: true
            access_type: public_method
            serialized_name: ClaspType
            accessor:
                getter: getClaspType
                setter: setClaspType
            type: string
        caseMaterial:
            expose: true
            access_type: public_method
            serialized_name: CaseMaterial
            accessor:
                getter: getCaseMaterial
                setter: setCaseMaterial
            xml_list:
                inline: true
                entry_name: CaseMaterial
            type: array<string>
        caseSizeThickness:
            expose: true
            access_type: public_method
            serialized_name: CaseSizeThickness
            accessor:
                getter: getCaseSizeThickness
                setter: setCaseSizeThickness
            type: App\Library\Amazon\Classes\LengthDimensionType
        caseSizeDiameter:
            expose: true
            access_type: public_method
            serialized_name: CaseSizeDiameter
            accessor:
                getter: getCaseSizeDiameter
                setter: setCaseSizeDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        lifeStyle:
            expose: true
            access_type: public_method
            serialized_name: LifeStyle
            accessor:
                getter: getLifeStyle
                setter: setLifeStyle
            xml_list:
                inline: true
                entry_name: LifeStyle
            type: array<string>
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            xml_list:
                inline: true
                entry_name: SpecificUsesForProduct
            type: array<string>
        metalStamp:
            expose: true
            access_type: public_method
            serialized_name: MetalStamp
            accessor:
                getter: getMetalStamp
                setter: setMetalStamp
            type: string
        settingType:
            expose: true
            access_type: public_method
            serialized_name: SettingType
            accessor:
                getter: getSettingType
                setter: setSettingType
            type: string
        dialColor:
            expose: true
            access_type: public_method
            serialized_name: DialColor
            accessor:
                getter: getDialColor
                setter: setDialColor
            type: string
        dialColorMap:
            expose: true
            access_type: public_method
            serialized_name: DialColorMap
            accessor:
                getter: getDialColorMap
                setter: setDialColorMap
            type: string
        bezelMaterial:
            expose: true
            access_type: public_method
            serialized_name: BezelMaterial
            accessor:
                getter: getBezelMaterial
                setter: setBezelMaterial
            type: string
        bezelFunction:
            expose: true
            access_type: public_method
            serialized_name: BezelFunction
            accessor:
                getter: getBezelFunction
                setter: setBezelFunction
            type: string
        gemType:
            expose: true
            access_type: public_method
            serialized_name: GemType
            accessor:
                getter: getGemType
                setter: setGemType
            type: string
        crystal:
            expose: true
            access_type: public_method
            serialized_name: Crystal
            accessor:
                getter: getCrystal
                setter: setCrystal
            type: string
        movementType:
            expose: true
            access_type: public_method
            serialized_name: MovementType
            accessor:
                getter: getMovementType
                setter: setMovementType
            type: string
        calendarType:
            expose: true
            access_type: public_method
            serialized_name: CalendarType
            accessor:
                getter: getCalendarType
                setter: setCalendarType
            type: string
        waterResistantDepth:
            expose: true
            access_type: public_method
            serialized_name: WaterResistantDepth
            accessor:
                getter: getWaterResistantDepth
                setter: setWaterResistantDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        resaleType:
            expose: true
            access_type: public_method
            serialized_name: ResaleType
            accessor:
                getter: getResaleType
                setter: setResaleType
            type: string
        warrantyType:
            expose: true
            access_type: public_method
            serialized_name: WarrantyType
            accessor:
                getter: getWarrantyType
                setter: setWarrantyType
            type: string
        includedItems:
            expose: true
            access_type: public_method
            serialized_name: IncludedItems
            accessor:
                getter: getIncludedItems
                setter: setIncludedItems
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        estatePeriod:
            expose: true
            access_type: public_method
            serialized_name: EstatePeriod
            accessor:
                getter: getEstatePeriod
                setter: setEstatePeriod
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        itemShape:
            expose: true
            access_type: public_method
            serialized_name: ItemShape
            accessor:
                getter: getItemShape
                setter: setItemShape
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumWaterPressure:
            expose: true
            access_type: public_method
            serialized_name: MaximumWaterPressure
            accessor:
                getter: getMaximumWaterPressure
                setter: setMaximumWaterPressure
            type: App\Library\Amazon\Classes\PressureDimensionType
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        sportType:
            expose: true
            access_type: public_method
            serialized_name: SportType
            accessor:
                getter: getSportType
                setter: setSportType
            xml_list:
                inline: true
                entry_name: SportType
            type: array<string>
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        manufacturerWarrantyType:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyType
            accessor:
                getter: getManufacturerWarrantyType
                setter: setManufacturerWarrantyType
            type: string
        maxOrderQuantity:
            expose: true
            access_type: public_method
            serialized_name: MaxOrderQuantity
            accessor:
                getter: getMaxOrderQuantity
                setter: setMaxOrderQuantity
            type: integer
        mfgWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionLabor
            accessor:
                getter: getMfgWarrantyDescriptionLabor
                setter: setMfgWarrantyDescriptionLabor
            type: string
        mfgWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionParts
            accessor:
                getter: getMfgWarrantyDescriptionParts
                setter: setMfgWarrantyDescriptionParts
            type: string
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\JewelryBatteryType
        departmentName:
            expose: true
            access_type: public_method
            serialized_name: DepartmentName
            accessor:
                getter: getDepartmentName
                setter: setDepartmentName
            type: string
        subjectCharacter:
            expose: true
            access_type: public_method
            serialized_name: SubjectCharacter
            accessor:
                getter: getSubjectCharacter
                setter: setSubjectCharacter
            type: string
        distributionDesignation:
            expose: true
            access_type: public_method
            serialized_name: DistributionDesignation
            accessor:
                getter: getDistributionDesignation
                setter: setDistributionDesignation
            type: string
        codabar:
            expose: true
            access_type: public_method
            serialized_name: Codabar
            accessor:
                getter: getCodabar
                setter: setCodabar
            type: string
        gradeRating:
            expose: true
            access_type: public_method
            serialized_name: GradeRating
            accessor:
                getter: getGradeRating
                setter: setGradeRating
            type: string
        authenticatedBy:
            expose: true
            access_type: public_method
            serialized_name: AuthenticatedBy
            accessor:
                getter: getAuthenticatedBy
                setter: setAuthenticatedBy
            type: string
